/*** Reset ***/
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,ul,li,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td {margin: 0;padding: 0;border: 0;outline: 0;font-size: 100%;vertical-align: top;background: transparent;}

body {
  line-height: 1;
  text-align: left;
}

html,
body {
  height: 100%;
  margin: 0;
  padding: 0;
  background: #ffffff;
}

body {
  box-sizing: border-box;
  padding-bottom: 50px;
  font-family: 'Inter', 'Hevetica Neue', Helvetica, serif;
  font-size: 1.5rem;
  letter-spacing: -0.25px;
  line-height: 2rem;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  background: url('../images/cacto.png') 10% 100% no-repeat;
  border-top: 30px solid #333333;
}

#content {
  position: relative;
  width: 80%;
  padding: 10% 10% 5%;
  background-color: #ffffff;
}

#content::before {
  position: absolute;
  top: 0;
  left: 10%;
  margin-left: -5px;
  border: 10px solid transparent;
  border-top: 10px solid #333333;
  content: '';
}

h1,
h2,
h3 {
  font-weight: 500;
  letter-spacing: -1px;
  line-height: 1.5;
}

h1 {
  font-size: 4rem;
  font-weight: 900;
  color: #333333;
}

h2 {
  margin-bottom: 5rem;
  font-size: 3rem;
  color: #858585;
}

h3 {
  font-size: 2rem;
  color: #a3a3a3;
}

ul {
  margin: 0.5rem 0 1rem;
}

ul::after {
  content: "...";
  margin-left: -0.25rem;
}

li {
  display: inline;
}

li::after {
  content: ", ";
}

li:last-child::after {
  display: none;
}

a {
  color: #333333;
  text-decoration: none;
  border-bottom: 2px solid transparent;
  transition: all .2s ease-in-out;
}

a:hover {
  color: #666666;
  border-bottom: 2px solid #d3d3d3;
}

p + p {
  margin-top: 12%;
}

.version {
  font-size: .8rem;
  color: #a3a3a3;
}

body,
h1,
#content::before,
.email {
  animation-duration: 70s;
  animation-timing-function: ease-in-out;
  animation-delay: 1s;
  animation-iteration-count: infinite;
}

body,
#content::before {
  animation-name: border-pulse;
}

h1,
.email {
  animation-name: color-pulse;
}

@keyframes border-pulse {
  0%   { border-top-color: #333333; }
  20%  { border-top-color: #fd4b4a; }
  30%  { border-top-color: #fd4b4a; }
  50%  { border-top-color: #096ac5; }
  60%  { border-top-color: #096ac5; }
  80%  { border-top-color: #79b019; }
  90%  { border-top-color: #79b019; }
  100% { border-top-color: #333333; }
}

@keyframes color-pulse {
  0%   { color: #333333; }
  20%  { color: #fd4b4a; }
  30%  { color: #fd4b4a; }
  50%  { color: #096ac5; }
  60%  { color: #096ac5; }
  80%  { color: #79b019; }
  90%  { color: #79b019; }
  100% { color: #333333; }
}

@media only all and (max-width: 481px) {
  body {
    border-top-width: 10px;
  }

  h1 {
    font-size: 2rem;
  }

  h2 {
    margin-bottom: 2rem;
    font-size: 1.5rem;
  }

  h3 {
    font-size: 1rem;
  }
}
